<html>
<head>
<title>OGRE: OgreFont.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreFont.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreResource_8h-source.html">OgreResource.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTexture_8h-source.html">OgreTexture.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMaterial_8h-source.html">OgreMaterial.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&quot;</code><br>

<p>
<a href="OgreFont_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font.html">Ogre::Font</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class representing a font in the system.  <a href="classOgre_1_1Font.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font_1_1CmdType.html">Ogre::Font::CmdType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1Font_1_1CmdType.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font_1_1CmdSource.html">Ogre::Font::CmdSource</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1Font_1_1CmdSource.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font_1_1CmdSize.html">Ogre::Font::CmdSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1Font_1_1CmdSize.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font_1_1CmdResolution.html">Ogre::Font::CmdResolution</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1Font_1_1CmdResolution.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html">Ogre::Font::CmdCodePoints</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1Font.html" title="Class representing a font in the system.">Font</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1Font_1_1CmdCodePoints.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html">Ogre::Font::GlyphInfo</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information about the position and size of a glyph in a texture.  <a href="structOgre_1_1Font_1_1GlyphInfo.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FontPtr.html">Ogre::FontPtr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1FontPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr.">FontPtr</a>.  <a href="classOgre_1_1FontPtr.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7d22ba70debe31488cdd62c5dc307ce9">Ogre::FontType</a> { <a class="el" href="namespaceOgre.html#7d22ba70debe31488cdd62c5dc307ce93185a44789d385148728f61682e74354">Ogre::FT_TRUETYPE</a> =  1, 
<a class="el" href="namespaceOgre.html#7d22ba70debe31488cdd62c5dc307ce9c5c0824a886f1c3946159c1303397c68">Ogre::FT_IMAGE</a> =  2
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enumerates the types of Font usable in the engine.  <a href="namespaceOgre.html#7d22ba70debe31488cdd62c5dc307ce9">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
